ECFHMQV< EC, COFACTOR_OPTION, HASH > Struct Template Reference

Fully Hashed Menezes-Qu-Vanstone in ECP or EC2N. More...

## Public Types

typedef FHMQV_Domain< DL_GroupParameters_EC< EC >, COFACTOR_OPTION, HASH > | Domain

## Detailed Description

### template<class EC, class COFACTOR_OPTION = typename DL_GroupParameters_EC<EC>::DefaultCofactorOption, class HASH = SHA256>
struct ECFHMQV< EC, COFACTOR_OPTION, HASH >

Fully Hashed Menezes-Qu-Vanstone in ECP or EC2N.

This implementation follows Augustin P. Sarr and Philippe Elbaz–Vincent, and Jean–Claude Bajard's A Secure and Efficient Authenticated Diffie-Hellman Protocol. Note: this is FHMQV, Protocol 5, from page 11; and not FHMQV-C.

Definition at line 241 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h